<?php

declare(strict_types=1);
use App\Controller\PublicController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addRoute(['GET', 'POST'], '/verifyCode', 'App\Controller\IndexController@verifyCode');

Router::addGroup(
    '/public', function () {
        Router::get('/getDistrictList', [PublicController::class, 'getDistrictList']);
        Router::get('/getUserLevelList', [PublicController::class, 'getUserLevelList']);
        Router::post('/uploadFile', [PublicController::class, 'uploadFile']);
        Router::post('/addUserLevel', [PublicController::class, 'addUserLevel']);
        Router::post('/delUserLevel', [PublicController::class, 'delUserLevel']);
        Router::post('/updateUserLevel', [PublicController::class, 'updateUserLevel']);
        Router::get('/getCityList', [PublicController::class, 'getCityList']);
        //添加投诉举报
        Router::post('/addComplaint', [PublicController::class, 'addComplaint']);
        //修改投诉举报
        Router::addRoute(['GET', 'POST'],'/upComplaint', [PublicController::class, 'upComplaint']);
        //投诉举报列表
        Router::addRoute(['GET', 'POST'],'/getComplaint', [PublicController::class, 'getComplaint']);
        //查看投诉举报信息
        Router::addRoute(['GET', 'POST'],'/getLetterOfComplaintInfo', [PublicController::class, 'getLetterOfComplaintInfo']);
        //删除投诉举报信息
        Router::post('/delLetterOfComplaint', [PublicController::class, 'delLetterOfComplaint']);
        //获取类型
        Router::get('/getLetterType', [PublicController::class, 'getLetterType']);
        //下载文件
        Router::post('/downloadFile', [PublicController::class, 'downloadFile']);
        //检测是否已经被审核
        Router::post('/checkMeasure', [PublicController::class, 'checkMeasure']);
        //获取职能部门
        Router::get('/getDepartment', [PublicController::class, 'getDepartment']);

    },
    ['middleware' => [FooMiddleware::class]]
);
